/*
 * This file is part of vospace-file-service
 * Copyright (C) 2021 Istituto Nazionale di Astrofisica
 * SPDX-License-Identifier: GPL-3.0-or-later
 */
package it.inaf.ia2.transfer.persistence.model;

import java.util.List;

public class FileInfo {

    private int nodeId;
    private String osPath;
    private String virtualPath;
    private boolean isPublic;
    private boolean virtualParent;
    private boolean directory;
    private List<String> groupRead;
    private List<String> groupWrite;
    private String ownerId;
    private boolean asyncTrans;
    private List<String> acceptViews;
    private List<String> provideViews;
    private String contentType;
    private String contentEncoding;
    private Long contentLength;
    private String contentMd5;

    public int getNodeId() {
        return nodeId;
    }

    public String getContentType() {
        return contentType;
    }

    public void setContentType(String contentType) {
        this.contentType = contentType;
    }

    public String getContentEncoding() {
        return contentEncoding;
    }

    public void setContentEncoding(String contentEncoding) {
        this.contentEncoding = contentEncoding;
    }

    public Long getContentLength() {
        return contentLength;
    }

    public void setContentLength(Long contentLength) {
        this.contentLength = contentLength;
    }

    public String getContentMd5() {
        return contentMd5;
    }

    public void setContentMd5(String contentMd5) {
        this.contentMd5 = contentMd5;
    }

    public void setNodeId(int nodeId) {
        this.nodeId = nodeId;
    }

    public String getOsPath() {
        return osPath;
    }

    public void setOsPath(String osPath) {
        this.osPath = osPath;
    }

    public String getVirtualPath() {
        return virtualPath;
    }

    public void setVirtualPath(String virtualPath) {
        this.virtualPath = virtualPath;
    }

    public boolean isPublic() {
        return isPublic;
    }

    public void setPublic(boolean isPublic) {
        this.isPublic = isPublic;
    }

    public boolean isDirectory() {
        return directory;
    }

    public void setDirectory(boolean directory) {
        this.directory = directory;
    }

    public boolean hasVirtualParent() {
        return virtualParent;
    }

    public void setVirtualParent(boolean virtualParent) {
        this.virtualParent = virtualParent;
    }

    public List<String> getGroupRead() {
        return groupRead;
    }

    public void setGroupRead(List<String> groupRead) {
        this.groupRead = groupRead;
    }

    public List<String> getGroupWrite() {
        return groupWrite;
    }

    public void setGroupWrite(List<String> groupWrite) {
        this.groupWrite = groupWrite;
    }

    public String getOwnerId() {
        return ownerId;
    }

    public void setOwnerId(String ownerId) {
        this.ownerId = ownerId;
    }

    public boolean isAsyncTrans() {
        return asyncTrans;
    }

    public void setAsyncTrans(boolean asyncTrans) {
        this.asyncTrans = asyncTrans;
    }

    public List<String> getAcceptViews() {
        return acceptViews;
    }

    public void setAcceptViews(List<String> acceptViews) {
        this.acceptViews = acceptViews;
    }

    public List<String> getProvideViews() {
        return provideViews;
    }

    public void setProvideViews(List<String> provideViews) {
        this.provideViews = provideViews;
    }
}
